import i from "./_baseIteratee.js";
import s from "./isArrayLike.js";
import b from "./keys.js";
function x(e) {
  return function(r, f, m) {
    var n = Object(r);
    if (!s(r)) {
      var a = i(f);
      r = b(r), f = function(t) {
        return a(n[t], t, n);
      };
    }
    var u = e(r, f, m);
    return u > -1 ? n[a ? r[u] : u] : void 0;
  };
}
export {
  x as default
};
